com.aliyun.svideosdk.editor.resource

## Class AliyunResTask

- java.lang.Object
- - com.aliyun.svideosdk.editor.resource.AliyunResTask

- Direct Known Subclasses:
    AliyunDraftResTask

      public abstract class AliyunResTask
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AliyunResTask.HandleCallback` 处理回调(不对外)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunResTask(AliyunResModuleType resModuleType, AliyunResType resType, Source source, AliyunResTask.HandleCallback handleCallback)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunResModuleType` | `getResModuleType()` 获取待处理资源模块
    `AliyunResType` | `getResType()` 获取待处理资源类型
    `Source` | `getSource()` 获取待处理资源
    `void` | `onHandleCallback(Source source)` 处理回调
    `void` | `onIgnore()` 忽略
    `abstract void` | `onRemove()` 移除

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunResTask

          public AliyunResTask(AliyunResModuleType resModuleType,
                               AliyunResType resType,
                               Source source,
                               AliyunResTask.HandleCallback handleCallback)

  - ### Method Detail

    - #### getResModuleType

          public AliyunResModuleType getResModuleType()

      获取待处理资源模块
      Returns:
        待处理资源模块

    - #### getResType

          public AliyunResType getResType()

      获取待处理资源类型
      Returns:
        待处理资源类型

    - #### getSource

          public Source getSource()

      获取待处理资源
      Returns:
        待处理资源

    - #### onHandleCallback

          public void onHandleCallback(Source source)

      处理回调

    - #### onIgnore

          public void onIgnore()

      忽略

    - #### onRemove

          public abstract void onRemove()

      移除